(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Math;

type
  TForm1 = class(TForm)
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  XPos: Real = 0;
  YPos: Real = 0;

implementation

{$R *.DFM}

function Distance(XPos, YPos, X, Y: Real): Real;
begin
  Result:=sqrt(
    Power(XPos-X,2)+Power(YPos-Y,2));
end;

procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Form1.Canvas.LineTo(X, Y);
  Form1.Caption:=FloatToStr(Distance(XPos, YPos, X, Y));
  XPos:=X;
  YPos:=Y;
end;

end.
